Bug 2006791 - build config's created prior to 4.8 with image change triggers can result in trigger storm in OCM/openshift-apiserver
Summary: build config's created prior to 4.8 with image change triggers can result in ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Build
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.9.z
Assignee: Gabe Montero
QA Contact: Jitendar Singh
Rolfe Dlugy-Hegwer
URL:
Whiteboard:
Depends On: 2004203
Blocks: 2006793
TreeView+ depends on / blocked
 
Reported: 2021-09-22 12:48 UTC by Gabe Montero
Modified: 2022-02-16 18:10 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
* With the deprecation of the `lastTriggeredImageID` field for build configs, the image change trigger controller stopped checking the ID field prior to initiating builds. Consequently, if a build config was created and had an image change trigger start while the cluster was running OpenShift Container Platform 4.7 or earlier, it continuously tried to trigger builds. With this update, these unnecessary attempts to trigger builds no longer occur. (link:https://bugzilla.redhat.com/show_bug.cgi?id=2006793[*BZ#2006793*])
Clone Of: 2004203
: 2006793 (view as bug list)
Environment:
Last Closed: 2021-11-01 13:44:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift openshift-apiserver pull 247 0 None open [release-4.9] Bug 2006791: no longer abort ICT induced builds because of spec last triggered image ID 2021-10-15 19:22:28 UTC
Github openshift openshift-controller-manager pull 203 0 None open [release-4.9] Bug 2006791: BC ICT still must check spec last triggered image ID in case BC was last processed when clust... 2021-10-15 19:22:57 UTC
Red Hat Product Errata RHBA-2021:4005 0 None None None 2021-11-01 13:44:50 UTC

Comment 1 Gabe Montero 2021-10-13 17:05:23 UTC
still waiting for the transition from 4.9.0 to 4.9.z so that 

https://github.com/openshift/openshift-apiserver/pull/247
https://github.com/openshift/openshift-controller-manager/pull/203

can get the correct bz labels

With the announce todat of 4.9 GA'ing on Oct 18, my assumption is the transition will happen around that date next week.

Comment 5 Jitendar Singh 2021-10-21 03:59:24 UTC
verifed

Comment 9 errata-xmlrpc 2021-11-01 13:44:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.9.5 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:4005


Note You need to log in before you can comment on or make changes to this bug.